## org.apache.cassandra.utils
Class DestructivePQIterator<T>

    java.lang.Object
      org.apache.cassandra.utils.DestructivePQIterator<T>

All Implemented Interfaces:
  java.util.Iterator<T>

    public class DestructivePQIterator<T>

extends java.lang.Object
implements java.util.Iterator<T>

Constructor Summary
`DestructivePQIterator(java.util.PriorityQueue<T> pq)`

Method Summary
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DestructivePQIterator

    public DestructivePQIterator(java.util.PriorityQueue<T> pq)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<T>`

### next

    public T next()

  Specified by:
    `next` in interface `java.util.Iterator<T>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<T>`

Copyright © 2012 The Apache Software Foundation